/*
 * EventCellRenderer.java
 *
 * Created on 15  2004 ., 22:12
 */

package com.fn.BikersLog;

import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

/**
 *
 * @author  asso
 */
public class EventCellRenderer implements TableCellRenderer {
    
    private EventCell renderer;
    
    /** Creates a new instance of EventCellRenderer */
    public EventCellRenderer() {
        renderer = new EventCell();
    }
    
    public java.awt.Component getTableCellRendererComponent(JTable table, 
                Object value, boolean isSelected, boolean hasFocus, 
                int row, int column) 
    {
        if ((table.getSelectedColumn() == column) && (table.getSelectedRow() == row))
            isSelected = true;
        MonthlyEventsTableModel model = (MonthlyEventsTableModel)table.getModel();
        EventsInDay events = (EventsInDay)model.getValueAt(row, column);
        java.awt.Color bg, fg;
        if (isSelected) {
            bg = table.getSelectionBackground();
            fg = table.getSelectionForeground();
        } else {
            bg = table.getBackground();
            fg = table.getForeground();
        }
        renderer.setBackground(bg);
        renderer.setForeground(fg);
        renderer.setData(events);
        return renderer;
    }
    
}
