/*
 * EventsFactory.java
 *
 * Created on 12  2003 ., 21:00
 */

package com.fn.BikersLog;


import org.w3c.dom.Element;


/**
 *
 * @author  asso
 */
public class EventsFactory {

    public static Event loadEvent(String type, Element tag, Log log) throws Exception {
        if (type.equals("ride")) {
            return new RideEvent(tag, log);
        } else if (type.equals("note")) {
            return new NoteEvent(tag, log);
        } else if (type.equals("cyclotrainer")) {
            return new CycleTrainerEvent(tag);
        } else if (type.equals("rowing")) {
            return new RowingEvent(tag, log);
        } else if (type.equals("running")) {
            return new RunningEvent(tag, log);
        } else if (type.equals("skiing")) {
            return new SkiingEvent(tag, log);
        } else if (type.equals("swimming")) {
            return new SwimmingEvent(tag, log);
        } else
            throw new Exception("Unknown event type '" + type + "'");
    }
    
}
