/*
 * EventsView.java
 *
 * Created on 6  2004 ., 9:41
 */

package com.fn.BikersLog;


import java.awt.Container;
import java.util.Date;


/**
 *
 * @author  asso
 */
public abstract class EventsView {
    
    protected Log log;
    
    public EventsView(Log log) {
        this.log = log;
    }
    
    public abstract void install(Container parent);
    
    public abstract void remove();
    
    public abstract void saveOptions();
    
    public abstract Event getSelected(boolean edit);

    public abstract void setSelectedIndex(int index);
    
    public Date getNewEventDate() {
        return new Date();
    }
    
    public void setLog(Log log) {
        this.log = log;
    }
}
