/*
 * Main.java
 *
 * Created on 27  2003 ., 12:04
 */

package com.fn.BikersLog;


import java.util.Enumeration;
import java.util.ResourceBundle;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JWindow;
import javax.swing.LookAndFeel;
import javax.swing.UIManager;


/**
 *
 * @author  asso
 */
public class Main {
    
    private static JWindow createSplashScreen() {
        JWindow w = new JWindow();
        w.getContentPane().add(new JLabel(new ImageIcon(w.getClass().getResource(
                "/com/fn/BikersLog/img/splash.jpg"))));
        w.pack();
        Utils.centerWindow(w);
        w.setVisible(true);
        return w;
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        JWindow splash = null;
        if (Config.getShowSplash()) 
            splash = createSplashScreen();
        
        LookAndFeelHelper.preloadLookAndFeels();
        LookAndFeelHelper.setLookAndFeel(Config.getLookAndFeel());
        Units.load();
        
        MainWindow mwin = null;
        if (args.length > 0) {
            try {
                mwin = new MainWindow(new java.io.File(args[0]));
            } catch (Exception e) {
                splash.setVisible(false);
                javax.swing.JOptionPane.showMessageDialog(null, 
                    I18n.getMsg("mainForm.messages.errorOpen"));
                System.exit(1);
            }
        } else
            mwin = new MainWindow();
        
        if (Config.getShowSplash())  {
            splash.setVisible(false);
            splash = null;
        }
        
        mwin.setVisible(true);
    }
    
}
