/*
 * PresfPageCreator.java
 *
 * Created on 8  2004 ., 14:29
 */

package com.fn.BikersLog.prefs;


import java.lang.reflect.Constructor;
import com.fn.BikersLog.I18n;


/**
 *
 * @author  asso
 */
public class PrefsPageCreator {
    
    private Class pageClass;
    private String ident;
    private String description;
    
    /** Creates a new instance of PresfPageCreator */
    public PrefsPageCreator(String ident, String descr, Class pageClass) {
        this.ident = ident;
        this.description = I18n.getMsg(descr);
        this.pageClass = pageClass;
    }
    
    public String getIdent() {
        return ident;
    }
    
    public String getDescription() {
        return description;
    }
    
    public PreferencesPage createPage() throws Exception {
        return (PreferencesPage)pageClass.newInstance();
    }
    
}
